<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array();
use Claromentis\Core\Security\SecurityContext;




interface GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject();
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context);
    
    
    
    
    public function GetView();
}